Hlavní navigace

V OpenSSL je kritická chyba. Stahujte 1. listopadu aktualizaci s opravou

31. 10. 2022

Sdílet

 Autor: Depositphotos
V projektu OpenSSL byla objevena kritická zranitelnost, která může spustit lavinu kyberútoků s fatálními následky.

Všechny organizace musí věnovat maximální pozornost opravě, která bude vydána během úterý a musí přijmout všechny dostupné bezpečnostní opatření. Jde o jednu z nejrizikovějších zranitelností, která může způsobit fatální problémy organizacím po celém světě.

  • Projekt OpenSSL je základním prvkem zabezpečeného internetu.
  • Podrobnosti o zranitelnosti ještě nebyly zveřejněny, ale organizace musí být extrémně opatrné a připravit se na záplatování a aktualizace systémů.
  • OpenSSL je používáno tak masivně, že zranitelnost má potenciál způsobit celosvětový chaos.

Tým projektu OpenSSL oznámil, že v úterý 1. listopadu 2022 bude zveřejněna nová verze, která by měla obsahovat i opravu kritické zranitelnosti.

„Jaké riziko hrozí? Na podrobnosti o zranitelnosti ještě čekáme, ale mohou být ohrožené soukromé klíče nebo informace o uživatelích. V obou případech by to byla tvrdá rána pro samotný základ šifrovaných relací, které všichni využíváme u mnoha služeb. V úterý ráno budou všichni pozorně sledovat detaily zprávy, kterou tým projektu OpenSSL vydá. Očekáváme ale, že se to dotkne i běžného používání internetu. Představte si, že byste šli po ulici a měli možnost vidět všechny textové zprávy lidí kolem vás a slyšet všechny hovory. Takovou moc by v nejhorším případě hackeři mohli mít při zneužití podobné zranitelnosti,“ říká Peter Kovalčík, regionální ředitel, Security Engineer EE z kyberbezpečnostní společnosti Check Point Software Technologies.

Co je to OpenSSL?
OpenSSL je běžně používaná knihovna kódů, která umožňuje zabezpečenou komunikaci na internetu. Zjednodušeně řečeno, kdykoli procházíme internet, webová stránka, kterou prohlížíme, nebo online služba, ke které přistupujeme, využívá OpenSSL. 
Které verze OpenSSL jsou zranitelné? 
Zranitelné jsou verze OpenSSL 3.0 a vyšší. Očekává se, že nejbližší verze OpenSSL 3.0.7 by měla obsahovat opravu kritické zranitelnosti. 
Co mohu organizace udělat? 
 Než bude zveřejněna oprava, musí všechny organizace zůstat ve střehu a dodržovat osvědčené bezpečnostní postupy, včetně záplatování a aktualizace všech systémů. Check Point doporučuje také prověřit, kde se v rámci organizace používá OpenSSL, což lze provést pomocí softwarových nástrojů Bill of Materials (BOM), jejichž výstupem je seznam softwarových komponent používaných v dané společnosti. Takový postup umožní stanovit priority a připravit se na očekávanou opravu.